> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withcortex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Test Expectation

> Delete a specific workflow test expectation by its ID.



## OpenAPI

````yaml delete /apps/{app_id}/workflows/{workflow_id}/tests/expectations/{expectation_id}
openapi: 3.0.0
info:
  version: 1.0.0
  title: API
servers: []
security: []
paths:
  /apps/{app_id}/workflows/{workflow_id}/tests/expectations/{expectation_id}:
    delete:
      summary: Delete Test Expectation
      description: Delete a specific workflow test expectation by its ID.
      parameters:
        - schema:
            type: string
          required: true
          description: The ID of the app
          name: app_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the workflow
          name: workflow_id
          in: path
        - schema:
            type: string
          required: true
          description: The ID of the expectation
          name: expectation_id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                nullable: true

````